# Set card PIN

Sets a PIN during the card order flow. This endpoint will be accessible for partners that require to set a PIN during the card order flow.
Please follow [this guide](/guides/product/issue-cards/sensitive-card-details) to use this endpoint.
To use this endpoint, make sure to set the `api token` and the `card order id` in the headers.

Endpoint: POST /twcard-data/v1/sensitive-card-data/preset-pin
Security: UserToken

## Header parameters:

  - `x-tw-twcard-order-id` (string, required)
    The card order ID.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `keyVersion` (integer, required)
    The version of the key to use. It is always set to 1.
    Example: 1

  - `encryptedPayload` (string, required)
    Your [JWE payload](/guides/product/issue-cards/sensitive-card-details).
    Example: eyJhbGciOiJSU0...

## Response 200 fields (application/json):

  - `cardOrderId` (string)
    The card order ID.
    Example: 142

